# Update a Social Post

Edit an existing Social Post identified by its unique uberall ID.

Endpoint: PATCH /social-posts/{id}
Version: 20260701
Security: X-API-KEY, Authorization

## Path parameters:

  - `id` (string, required)
    The uberall unique ID of the Social Post yu want to edit

## Request fields (application/json):

  - `title` (string)
    The title of the Social Post.

  - `description` (string)
    The title of the Social Post.

  - `url` (string)
    A link for the Social Post. This is mandatory for a "Special Offer" and should point to a page concerning the offer

  - `type` (string, required)
    The type of the Social Post. POST, OFFER, ALERT, EVENT, REEL, STORY or CAROUSEL.
    Enum: "POST", "OFFER", "ALERT", "EVENT", "QUESTION_AND_ANSWER", "REEL", "STORY", "CAROUSEL"

  - `alertType` (string)
    A special type for Google ALERT posts. Possible values are COVID_19.
    Enum: "COVID_19"

  - `id` (integer)
    Id

  - `campaignId` (integer)
    The campaign ID this Social Post belongs to

  - `campaign` (object)
    Social Post Campaign Model

  - `campaign.id` (integer)
    Campaign id

  - `campaign.name` (string)
    Campaign name

  - `campaign.color` (string)
    Campaign color in hex format

  - `status` (string)
    The current status of the Social Post (scheduled, active, inactive, not_published, published, impossible)
    Enum: "SCHEDULED", "APPROVAL_NEEDED", "ACTIVE", "INACTIVE", "DELETED", "IMPOSSIBLE", "INCOMPLETE", "ENDED", "REJECTED"

  - `dateStart` (string)
    The starting date of EVENT and OFFER type Social Posts. It is used to indicate when an EVENT/OFFER will start.
            For API versions older than 2021-08-04, it is used as publicationDate.

  - `dateEnd` (string)
    The ending date of the Social Post (type=OFFER). The post will be removed from the listings at that date.
It also determines when a special offer should end.

  - `publicationDate` (string, required)
    The date on which the Social Post will be published. It is used to schedule posts in the future. Format: yyyy-MM-dd'T'HH:mm:ss'Z'
    Example: 2024-06-25T11:01:00Z

  - `isStoreLocator` (boolean)
    When enabled, the SocialPost will be visible in StoreLocator

  - `productName` (string)
    Product name for product posts

  - `timeZone` (string)
    The timezone in which the Social Post should be created
    Example: Europe/Berlin

  - `productPriceMin` (integer)
    Minimum product price

  - `productPriceMax` (integer)
    Maximum product price

  - `productCurrency` (string)
    Currency of the product price
    Enum: "EUR", "USD", "GBP", "CHF", "AUD", "RUB", "JPY", "AED", "AFN", "ALL", "AMD", "ANG", "AOA", "ARS", "AWG", "AZN", "BAM", "BBD", "BDT", "BGN", "BHD", "BIF", "BMD", "BND", "BOB", "BOV", "BRL", "BSD", "BTN", "BWP", "BYR", "BZD", "CAD", "CDF", "CHE", "CHW", "CLF", "CLP", "CNY", "COP", "COU", "CRC", "CUC", "CUP", "CVE", "CZK", "DJF", "DKK", "DOP", "DZD", "EGP", "ERN", "ETB", "FJD", "FKP", "GEL", "GHS", "GIP", "GMD", "GNF", "GTQ", "GYD", "HKD", "HNL", "HRK", "HTG", "HUF", "IDR", "ILS", "INR", "IQD", "IRR", "ISK", "JMD", "JOD", "KES", "KGS", "KHR", "KMF", "KPW", "KRW", "KWD", "KYD", "KZT", "LAK", "LBP", "LKR", "LRD", "LSL", "LTL", "LYD", "MAD", "MDL", "MGA", "MKD", "MMK", "MNT", "MOP", "MRO", "MUR", "MVR", "MWK", "MXN", "MXV", "MYR", "MZN", "NAD", "NGN", "NIO", "NOK", "NPR", "NZD", "OMR", "PAB", "PEN", "PGK", "PHP", "PKR", "PLN", "PYG", "QAR", "RON", "RSD", "RWF", "SAR", "SBD", "SCR", "SDG", "SEK", "SGD", "SHP", "SLL", "SOS", "SRD", "SSP", "STD", "SVC", "SYP", "SZL", "THB", "TJS", "TMT", "TND", "TOP", "TRY", "TTD", "TWD", "TZS", "UAH", "UGX", "USN", "UYI", "UYU", "UZS", "VEF", "VND", "VUV", "WST", "XAF", "XCD", "XDR", "XOF", "XPF", "XSU", "XUA", "YER", "ZAR", "ZMW", "ZWL"

  - `labels` (array)
    The list of location labels as entered when creating/updating the Social Post

  - `photos` (array)
    The Social Post photos

  - `photos.photo` (string)

  - `photos.description` (string)

  - `photos.redirectUrl` (string)

  - `callToActions` (array)
    Social Post Call to Action

  - `callToActions.url` (string)

  - `callToActions.directory` (string)

  - `callToActions.type` (string)

  - `firstComment` (string)
    The first comment to be posted after a post creation. Only available for INSTAGRAM

  - `mentions` (array)
    The mentions of the social post

  - `mentions.id` (string)
    Id

  - `mentions.name` (string)
    Name

  - `mentions.link` (string)
    Link

  - `mentions.avatar` (string)
    Avatar

  - `statusPerDirectory` (object)

  - `publicationsCount` (integer)
    Publications count

  - `directories` (array, required)
    The list of directories as entered when creating/updating the Social Post.

## Response 200 fields (application/json):

  - `status` (string, required)
    Enum: "SUCCESS", "PENDING", "QUOTA_LIMIT_EXCEED", "NOT_AUTHORIZED", "FORBIDDEN", "BAD_ACCESS_TOKEN", "BAD_PRIVATE_KEY", "BAD_PUBLIC_KEY", "MISSING_PARAMETER", "INVALID_PARAMETER", "WRONG_PARAMETER_TYPE", "CONFLICT", "RESOURCE_LOCKED", "SERVER_ERROR", "ERROR", "NOT_FOUND", "BAD_REQUEST", "USER_ERROR", "PARTIAL_ERROR", "SERVICE_TEMPORARILY_UNAVAILABLE"

  - `message` (string)
    (optional) Holds further information about the response

  - `warnings` (array)
    (optional) Holds further warnings

  - `response` (object, required)
    The actual response object of the response

  - `response.socialPost` (object)
    A Social Post is a message for your customers that will be published on some of your listings. This can be a "News", a "Special Offer" or a "Question and Answer".

  - `response.socialPost.title` (string)
    The title of the Social Post. For type QUESTION_AND_ANSWER this is going to be the question.

  - `response.socialPost.description` (string)
    The description of the Social Post. For type QUESTION_AND_ANSWER this is going to be the answer.

  - `response.socialPost.url` (string)
    A link for the Social Post. This is mandatory for a "Special Offer" and should point to a page concerning the offer.

  - `response.socialPost.type` (string, required)
    The type of the Social Post. POST, OFFER, QUESTION_AND_ANSWER, EVENT or ALERT.
    Enum: "POST", "OFFER", "ALERT", "EVENT", "QUESTION_AND_ANSWER", "REEL", "STORY", "CAROUSEL"

  - `response.socialPost.alertType` (string)
    A special type for Google ALERT posts. Possible values are COVID_19.
    Enum: "COVID_19"

  - `response.socialPost.id` (integer)
    Id

  - `response.socialPost.campaignId` (integer)
    The campaign ID this Social Post belongs to

  - `response.socialPost.campaign` (object)
    Social Post Campaign Model

  - `response.socialPost.campaign.id` (integer)
    Campaign id

  - `response.socialPost.campaign.name` (string)
    Campaign name

  - `response.socialPost.campaign.color` (string)
    Campaign color in hex format

  - `response.socialPost.status` (string)
    The current status of the Social Post (scheduled, active, inactive, deleted, not_published, published, impossible)
    Enum: "SCHEDULED", "APPROVAL_NEEDED", "ACTIVE", "INACTIVE", "DELETED", "IMPOSSIBLE", "INCOMPLETE", "ENDED", "REJECTED"

  - `response.socialPost.dateStart` (string)
    The starting date of EVENT and OFFER type Social Posts. It is used to indicate when an EVENT/OFFER will start. For API versions older than 20210804, it is used as publicationDate.

  - `response.socialPost.dateEnd` (string)
    The ending date of the Social Post (type=OFFER). The post will be removed from the listings at that date. It also determines when a special offer should end.

  - `response.socialPost.publicationDate` (string, required)
    The date on which the Social Post will be published. It is used to schedule posts in the future. Format: YYYY-MM-dd'T'HH:mm:ssXXXXX  (Example: 2007-12-03T10:15:30+01:00)
    Example: 2024-06-25T11:01:00Z

  - `response.socialPost.isStoreLocator` (boolean)
    When enabled, the SocialPost will be visible in StoreLocator.

  - `response.socialPost.productName` (string)
    The name of the product for a Product Social Post. A Social Post becomes a Product Social Post if that field is set.

  - `response.socialPost.timeZone` (string)
    The timezone in which the Social Post should be created
    Example: Europe/Berlin

  - `response.socialPost.productPriceMin` (integer)
    Lower price of a Product Social Post if the product has a price range, or the price for the product.

  - `response.socialPost.productPriceMax` (integer)
    Upper price of the product for Product Social Post. If the price is just a single price and not a range, set only productPriceMin.

  - `response.socialPost.productCurrency` (string)
    The currency of a Product Social Post. It is a 3-letters symbol (EUR, USD, ...).
    Enum: "EUR", "USD", "GBP", "CHF", "AUD", "RUB", "JPY", "AED", "AFN", "ALL", "AMD", "ANG", "AOA", "ARS", "AWG", "AZN", "BAM", "BBD", "BDT", "BGN", "BHD", "BIF", "BMD", "BND", "BOB", "BOV", "BRL", "BSD", "BTN", "BWP", "BYR", "BZD", "CAD", "CDF", "CHE", "CHW", "CLF", "CLP", "CNY", "COP", "COU", "CRC", "CUC", "CUP", "CVE", "CZK", "DJF", "DKK", "DOP", "DZD", "EGP", "ERN", "ETB", "FJD", "FKP", "GEL", "GHS", "GIP", "GMD", "GNF", "GTQ", "GYD", "HKD", "HNL", "HRK", "HTG", "HUF", "IDR", "ILS", "INR", "IQD", "IRR", "ISK", "JMD", "JOD", "KES", "KGS", "KHR", "KMF", "KPW", "KRW", "KWD", "KYD", "KZT", "LAK", "LBP", "LKR", "LRD", "LSL", "LTL", "LYD", "MAD", "MDL", "MGA", "MKD", "MMK", "MNT", "MOP", "MRO", "MUR", "MVR", "MWK", "MXN", "MXV", "MYR", "MZN", "NAD", "NGN", "NIO", "NOK", "NPR", "NZD", "OMR", "PAB", "PEN", "PGK", "PHP", "PKR", "PLN", "PYG", "QAR", "RON", "RSD", "RWF", "SAR", "SBD", "SCR", "SDG", "SEK", "SGD", "SHP", "SLL", "SOS", "SRD", "SSP", "STD", "SVC", "SYP", "SZL", "THB", "TJS", "TMT", "TND", "TOP", "TRY", "TTD", "TWD", "TZS", "UAH", "UGX", "USN", "UYI", "UYU", "UZS", "VEF", "VND", "VUV", "WST", "XAF", "XCD", "XDR", "XOF", "XPF", "XSU", "XUA", "YER", "ZAR", "ZMW", "ZWL"

  - `response.socialPost.labels` (array)
    The list of location labels as entered when creating/updating the Social Post.
    Example: ['Campaign2018', 'EastCoast']

  - `response.socialPost.photos` (array)
    The social post's photos

  - `response.socialPost.photos.photo` (string)

  - `response.socialPost.photos.description` (string)

  - `response.socialPost.photos.redirectUrl` (string)

  - `response.socialPost.callToActions` (array)
    Social Post Call to Action

  - `response.socialPost.callToActions.url` (string)

  - `response.socialPost.callToActions.directory` (string)

  - `response.socialPost.callToActions.type` (string)

  - `response.socialPost.firstComment` (string)
    The first comment to be posted after a post creation. Only available for INSTAGRAM

  - `response.socialPost.mentions` (array)
    The mentions of the social post

  - `response.socialPost.mentions.id` (string)
    Id

  - `response.socialPost.mentions.name` (string)
    Name

  - `response.socialPost.mentions.link` (string)
    Link

  - `response.socialPost.mentions.avatar` (string)
    Avatar

  - `response.socialPost.statusPerDirectory` (object)

  - `response.socialPost.publicationsCount` (integer)
    Publications count

  - `response.socialPost.videos` (array)
    The video of the social post (can only be one)

  - `response.socialPost.businessIds` (array)
    The list of businesses IDs as entered when creating/updating the Social Post.

  - `response.socialPost.locationIds` (array)
    The list of locations IDs as entered when creating/updating the Social Post.

  - `response.socialPost.listingPages` (array)
    The list of listing page IDs as entered when creating/updating the Social Post.

  - `response.socialPost.businessPages` (array)
    The list of business page IDs as entered when creating/updating the Social Post.

  - `response.socialPost.locationGroups` (array)

  - `response.socialPost.excludedLocationIds` (array)
    List of locationIds that should be excluded from the request. Can be used in combination with businessId when some locations should not be considered.

  - `response.socialPost.directories` (array, required)
    The list of directories as entered when creating/updating the Social Post.

  - `response.socialPost.directories.type` (string)
    Enum: "FOURSQUARE", "UBER", "GOOGLE", "WAZE", "GOOGLE_MAPS", "YELP_API", "MEINESTADT", "NOKIA_HERE", "FACEBOOK", "TOMTOM", "STADTBRANCHENBUCH", "CYLEX", "UNTERNEHMENSAUSKUNFT", "ACOMPIO", "BUSINESSBRANCHENBUCH", "SCOOT", "CENTRAL_INDEX", "CITIPAGES", "THE_DAILY_RECORD", "THE_EVENING_STANDARD", "THE_SCOTSMAN", "LIVERPOOL_ECHO", "TOUCH_LOCAL", "THE_MIRROR", "ANNUAIRE", "INFOBEL", "US_INFO_COM", "BING", "WO_GIBTS_WAS", "KOOMIO", "OEFFNUNGSZEITENBUCH", "APPLE_MAPS", "WHERE_TO", "TUPALO", "BRANCHENBUCH_DEUTSCHLAND", "MARKTPLATZ_MITTELSTAND", "BUSQUEDA_LOCAL", "RICERCARE_IMPRESE", "PAGES24", "NAVMII", "AUDI", "BMW", "MERCEDES", "VW", "TOYOTA", "FORD", "FIAT", "GM", "INSTAGRAM", "CITY_SQUARES", "SHOWMELOCAL", "CHAMBER_OF_COMMERCE", "JUDYS_BOOK", "MY_LOCAL_SERVICES", "HOTFROG", "INFO_IS_INFO", "MANTA", "US_CITY", "GO_YELLOW", "N49", "PRATIQUE", "EZLOCAL", "ELOCAL", "YELLOW_PAGES", "SUPER_PAGES", "DEX_KNOWS", "KAUFDA_MANUAL", "I_GLOBAL", "BRANCHEN_INFO_MANUAL", "GUTE_BANKEN_MANUAL", "D_11880_COM_MANUAL", "BANKOEFFNUNGSZEITEN_DE_MANUAL", "BANK_OEFFNUNGSZEITEN_DE_MANUAL", "CYLEX_MANUAL", "FINDE_OFFEN_MANUAL", "MEIN_PROSPEKT_MANUAL", "FIND_OPEN", "GO_LOCAL", "MEINUNGSMEISTER", "YAHOO_MANUAL", "TRIP_ADVISOR", "ZIP_CH", "INFOGROUP", "TRUSTPILOT", "AUSKUNFT", "NEXT_DOOR", "GOOGLE_ASSISTANT", "SIRI", "HUAWEI", "DOCTOR_COM", "DENTAL_PLANS", "DOC_SPOT", "HEALTHGRADES", "SHARE_CARE", "VITALS", "WEB_MD", "WELLNESS", "BING_HEALTH", "NPPES", "RATE_MDS", "CITYSEARCH", "INSIDER_PAGES", "TWITTER", "ALEXA", "MAP_QUEST", "WEBSITE_WIDGETS", "ECO_MOVEMENT", "GOOGLE_EV", "APPLE_EV", "TESLA_EV", "EUROWAG_EV", "OPIS_EV", "TOMTOM_EV", "HERE_EV", "YELLOW_PAGES_CANADA", "BBB", "UBERALL_SOCIAL_ADS", "APPLE_APPS", "CONSUMER_AFFAIRS", "CREDIT_KARMA", "DELIVERY", "GLASSDOOR", "PLAY_GOOGLE", "GRUBHUB", "INDEED", "LENDING_TREE", "MENUISM", "OPEN_TABLE", "OPEN_TABLE_USA", "WALLET_HUB", "ZILLOW", "ZOMATO", "WHATS_APP", "FOUR_SCREEN", "AND_CHARGE", "LINKED_IN", "TIK_TOK", "CHAT_GPT", "CLAUDE", "GEMINI", "PERPLEXITY", "OVERTURE", "RESTAURANTS"

  - `response.socialPost.directories.url` (string)
    The URL of the directory

  - `response.socialPost.couponCode` (string)
    A couponCode for redeeming a "Special Offer" (SocialPost.type=OFFER). Currently only supported for Google Posts.

  - `response.socialPost.termsAndConditions` (string)
    Terms and Conditions for redeeming a "Special Offer" (SocialPost.type=OFFER). Currently only supported for Google Posts.

  - `response.socialPost.canEdit` (boolean)

  - `response.socialPost.locationName` (string)

  - `response.socialPost.businessName` (string)

  - `response.socialPost.warnings` (array)

  - `response.socialPost.insights` (array)

  - `response.socialPost.owner` (object)
    Social Post Owner Model

  - `response.socialPost.owner.id` (integer)
    User id

  - `response.socialPost.owner.name` (string)
    Firstname and lastname of the user.

  - `response.socialPost.owner.isApiAdmin` (boolean)

## Response 400 fields (application/json):

  - `status` (string, required)
    Enum: "SUCCESS", "PENDING", "QUOTA_LIMIT_EXCEED", "NOT_AUTHORIZED", "FORBIDDEN", "BAD_ACCESS_TOKEN", "BAD_PRIVATE_KEY", "BAD_PUBLIC_KEY", "MISSING_PARAMETER", "INVALID_PARAMETER", "WRONG_PARAMETER_TYPE", "CONFLICT", "RESOURCE_LOCKED", "SERVER_ERROR", "ERROR", "NOT_FOUND", "BAD_REQUEST", "USER_ERROR", "PARTIAL_ERROR", "SERVICE_TEMPORARILY_UNAVAILABLE"

  - `message` (string)
    (optional) Holds further information about the response

  - `errorCode` (string)
    Enum: "NORMALIZATION_FAILED", "DATA_CORRUPTED", "INVALID_INPUT", "NOT_SYNCABLE", "PAYMENT_FAILED", "FREE_TIER_REACHED", "LIMIT_REACHED", "INACTIVE", "UNKNOWN", "IDENTIFIER_NOT_UNIQUE", "ACCOUNT_WAITING_FOR_AUTO_PAGE_SELECT", "NO_ACCOUNT_CONNECTED", "NO_PAGE_SELECTED", "PAGE_NOT_CREATED", "PAGE_IN_REVIEW", "PAGE_CLAIMED_BY_OTHERS", "OVERLAPPING_SOCIALPOST", "TOO_MANY_REPLIES", "REPLY_TOO_LONG", "DEPRECATED"

  - `response` (object)
    (optional) The actual response object of the response

## Response 401 fields (application/json):

  - `status` (string, required)
    Enum: "SUCCESS", "PENDING", "QUOTA_LIMIT_EXCEED", "NOT_AUTHORIZED", "FORBIDDEN", "BAD_ACCESS_TOKEN", "BAD_PRIVATE_KEY", "BAD_PUBLIC_KEY", "MISSING_PARAMETER", "INVALID_PARAMETER", "WRONG_PARAMETER_TYPE", "CONFLICT", "RESOURCE_LOCKED", "SERVER_ERROR", "ERROR", "NOT_FOUND", "BAD_REQUEST", "USER_ERROR", "PARTIAL_ERROR", "SERVICE_TEMPORARILY_UNAVAILABLE"

  - `message` (string)
    (optional) Holds further information about the response

  - `errorCode` (string)
    Enum: "NORMALIZATION_FAILED", "DATA_CORRUPTED", "INVALID_INPUT", "NOT_SYNCABLE", "PAYMENT_FAILED", "FREE_TIER_REACHED", "LIMIT_REACHED", "INACTIVE", "UNKNOWN", "IDENTIFIER_NOT_UNIQUE", "ACCOUNT_WAITING_FOR_AUTO_PAGE_SELECT", "NO_ACCOUNT_CONNECTED", "NO_PAGE_SELECTED", "PAGE_NOT_CREATED", "PAGE_IN_REVIEW", "PAGE_CLAIMED_BY_OTHERS", "OVERLAPPING_SOCIALPOST", "TOO_MANY_REPLIES", "REPLY_TOO_LONG", "DEPRECATED"

  - `response` (object)
    (optional) The actual response object of the response

## Response 403 fields (application/json):

  - `status` (string, required)
    Enum: "SUCCESS", "PENDING", "QUOTA_LIMIT_EXCEED", "NOT_AUTHORIZED", "FORBIDDEN", "BAD_ACCESS_TOKEN", "BAD_PRIVATE_KEY", "BAD_PUBLIC_KEY", "MISSING_PARAMETER", "INVALID_PARAMETER", "WRONG_PARAMETER_TYPE", "CONFLICT", "RESOURCE_LOCKED", "SERVER_ERROR", "ERROR", "NOT_FOUND", "BAD_REQUEST", "USER_ERROR", "PARTIAL_ERROR", "SERVICE_TEMPORARILY_UNAVAILABLE"

  - `message` (string)
    (optional) Holds further information about the response

  - `errorCode` (string)
    Enum: "NORMALIZATION_FAILED", "DATA_CORRUPTED", "INVALID_INPUT", "NOT_SYNCABLE", "PAYMENT_FAILED", "FREE_TIER_REACHED", "LIMIT_REACHED", "INACTIVE", "UNKNOWN", "IDENTIFIER_NOT_UNIQUE", "ACCOUNT_WAITING_FOR_AUTO_PAGE_SELECT", "NO_ACCOUNT_CONNECTED", "NO_PAGE_SELECTED", "PAGE_NOT_CREATED", "PAGE_IN_REVIEW", "PAGE_CLAIMED_BY_OTHERS", "OVERLAPPING_SOCIALPOST", "TOO_MANY_REPLIES", "REPLY_TOO_LONG", "DEPRECATED"

  - `response` (object)
    (optional) The actual response object of the response

## Response 404 fields (application/json):

  - `status` (string, required)
    Enum: "SUCCESS", "PENDING", "QUOTA_LIMIT_EXCEED", "NOT_AUTHORIZED", "FORBIDDEN", "BAD_ACCESS_TOKEN", "BAD_PRIVATE_KEY", "BAD_PUBLIC_KEY", "MISSING_PARAMETER", "INVALID_PARAMETER", "WRONG_PARAMETER_TYPE", "CONFLICT", "RESOURCE_LOCKED", "SERVER_ERROR", "ERROR", "NOT_FOUND", "BAD_REQUEST", "USER_ERROR", "PARTIAL_ERROR", "SERVICE_TEMPORARILY_UNAVAILABLE"

  - `message` (string)
    (optional) Holds further information about the response

  - `errorCode` (string)
    Enum: "NORMALIZATION_FAILED", "DATA_CORRUPTED", "INVALID_INPUT", "NOT_SYNCABLE", "PAYMENT_FAILED", "FREE_TIER_REACHED", "LIMIT_REACHED", "INACTIVE", "UNKNOWN", "IDENTIFIER_NOT_UNIQUE", "ACCOUNT_WAITING_FOR_AUTO_PAGE_SELECT", "NO_ACCOUNT_CONNECTED", "NO_PAGE_SELECTED", "PAGE_NOT_CREATED", "PAGE_IN_REVIEW", "PAGE_CLAIMED_BY_OTHERS", "OVERLAPPING_SOCIALPOST", "TOO_MANY_REPLIES", "REPLY_TOO_LONG", "DEPRECATED"

  - `response` (object)
    (optional) The actual response object of the response

## Response 409 fields (application/json):

  - `status` (string, required)
    Enum: "SUCCESS", "PENDING", "QUOTA_LIMIT_EXCEED", "NOT_AUTHORIZED", "FORBIDDEN", "BAD_ACCESS_TOKEN", "BAD_PRIVATE_KEY", "BAD_PUBLIC_KEY", "MISSING_PARAMETER", "INVALID_PARAMETER", "WRONG_PARAMETER_TYPE", "CONFLICT", "RESOURCE_LOCKED", "SERVER_ERROR", "ERROR", "NOT_FOUND", "BAD_REQUEST", "USER_ERROR", "PARTIAL_ERROR", "SERVICE_TEMPORARILY_UNAVAILABLE"

  - `message` (string)
    (optional) Holds further information about the response

  - `errorCode` (string)
    Enum: "NORMALIZATION_FAILED", "DATA_CORRUPTED", "INVALID_INPUT", "NOT_SYNCABLE", "PAYMENT_FAILED", "FREE_TIER_REACHED", "LIMIT_REACHED", "INACTIVE", "UNKNOWN", "IDENTIFIER_NOT_UNIQUE", "ACCOUNT_WAITING_FOR_AUTO_PAGE_SELECT", "NO_ACCOUNT_CONNECTED", "NO_PAGE_SELECTED", "PAGE_NOT_CREATED", "PAGE_IN_REVIEW", "PAGE_CLAIMED_BY_OTHERS", "OVERLAPPING_SOCIALPOST", "TOO_MANY_REPLIES", "REPLY_TOO_LONG", "DEPRECATED"

  - `response` (object)
    (optional) The actual response object of the response

